# pygccxml.declarations.declaration_utils module

`declaration_path`(decl, with_defaults=None)

  Returns a list of parent declarations names.

  Parameters: | decl (declaration_t) – declaration for which declaration path should be calculated.

  Returns:

  list of names, where first item is the top
    parent name and last item the inputted declaration name.

  Return type: | list[(str | basestring)]

`full_name`(decl, with_defaults=True)

  Returns declaration full qualified name.

  If decl belongs to anonymous namespace or class, the function will return C++ illegal qualified name.

  Parameters: | decl (declaration_t) – declaration for which the full qualified name should be calculated.
  Returns: | full name of the declaration.
  Return type: | list[(str | basestring)]

`full_name_from_declaration_path`(dpath)

`get_named_parent`(decl)

  Returns a reference to a named parent declaration.

  Parameters: | decl (declaration_t) – the child declaration
  Returns: | the declaration or None if not found.
  Return type: | declaration_t

`partial_declaration_path`(decl)

  Returns a list of parent declarations names without template arguments that have default value.

  Parameters: | decl (declaration_t) – declaration for which the partial declaration path should be calculated.

  Returns:

  list of names, where first item is the top
    parent name and last item the inputted declaration name.

  Return type: | list[(str | basestring)]